<template>
            <optgroup label="Select The Parent Entity" v-html="html">
                
            </optgroup>       
</template>

<script>
import network from '../../../network'
var $ = require('jquery');
var html = '';
    export default{
        mounted(){
            
        },
        data(){
            return{
               dash:'-',
               firstTime:0,
               html:''
            }
        },
        props:['tree','singleSubParent'],
        methods:{
            buildTree(tree , rep = 1){
                //var html = '' ;
                var app = this ;
                
                var dash = "--" ;
                tree.forEach(function(element){
                  
                    app.firstTime ++ ;
                    if(element.is_bpmn == null || element.idSubTenant.is_bpmn == 0)
                        app.html+= "<option value='"+element.idSubTenant+"'>"+dash.repeat(rep) + " " +element.SubTenantName+"</option>";
                    
                    if(element.tree.length > 0){
                     
                        app.buildTree(element.tree , rep + 2 )
                    }
                    
                    
                })

                return app.html ;
            }
        },
        watch:{
            tree:{
                handler(){
                    this.html = '' ;
                    this.buildTree(this.tree)
                },
                deep:true
            }
        }
    }

</script>